aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/scripts
diff options
context:
space:
mode:
authorJa.KooLit <jimmielovejay@gmail.com>2024-05-01 12:15:49 +0900
committerGitHub <noreply@github.com>2024-05-01 12:15:49 +0900
commit41c3de1b08d253a8b9a78f7c15ee1eb2ac1d9395 (patch)
tree7b406b2f4c32ead3fa939513d0bf7e92113d2edd /config/hypr/scripts
parent8cda78812d9c70d83fff37d19c1d8362e07efb10 (diff)
parentf0fafb2890419a07616e71463e89aea26be62091 (diff)
Merge pull request #225 from JaKooLit/development
V2.2.9 released
Diffstat (limited to 'config/hypr/scripts')
-rwxr-xr-xconfig/hypr/scripts/ClipManager.sh2
-rwxr-xr-xconfig/hypr/scripts/RofiEmoji.sh2
-rwxr-xr-xconfig/hypr/scripts/ScreenShot.sh2
-rwxr-xr-xconfig/hypr/scripts/Sounds.sh70
-rwxr-xr-xconfig/hypr/scripts/Volume.sh2
-rwxr-xr-xconfig/hypr/scripts/WaybarLayout.sh2
-rwxr-xr-xconfig/hypr/scripts/WaybarStyles.sh2
7 files changed, 76 insertions, 6 deletions
diff --git a/config/hypr/scripts/ClipManager.sh b/config/hypr/scripts/ClipManager.sh
index f93005bc..ddce2999 100755
--- a/config/hypr/scripts/ClipManager.sh
+++ b/config/hypr/scripts/ClipManager.sh
@@ -8,7 +8,7 @@
while true; do
result=$(
- rofi -dmenu \
+ rofi -i -dmenu \
-kb-custom-1 "Control-Delete" \
-kb-custom-2 "Alt-Delete" \
-config ~/.config/rofi/config-clipboard.rasi < <(cliphist list)
diff --git a/config/hypr/scripts/RofiEmoji.sh b/config/hypr/scripts/RofiEmoji.sh
index 4c51ee8a..cf6bec55 100755
--- a/config/hypr/scripts/RofiEmoji.sh
+++ b/config/hypr/scripts/RofiEmoji.sh
@@ -3,7 +3,7 @@
# Rofi Emoticons. Not my own. Cant remember the source
sed '1,/^# # DATA # #$/d' $0 |
-rofi -dmenu -config ~/.config/rofi/config-long.rasi|
+rofi -i -dmenu -config ~/.config/rofi/config-long.rasi|
cut -d ' ' -f 1 | tr -d '\n' | wl-copy
exit
diff --git a/config/hypr/scripts/ScreenShot.sh b/config/hypr/scripts/ScreenShot.sh
index 309114dc..d2ee51a2 100755
--- a/config/hypr/scripts/ScreenShot.sh
+++ b/config/hypr/scripts/ScreenShot.sh
@@ -3,7 +3,7 @@
# Screenshots scripts
iDIR="$HOME/.config/swaync/icons"
-sDIR="$HOME/.config/hypr/UserScripts"
+sDIR="$HOME/.config/hypr/scripts"
notify_cmd_shot="notify-send -h string:x-canonical-private-synchronous:shot-notify -u low -i ${iDIR}/picture.png"
time=$(date "+%d-%b_%H-%M-%S")
diff --git a/config/hypr/scripts/Sounds.sh b/config/hypr/scripts/Sounds.sh
new file mode 100755
index 00000000..a749114c
--- /dev/null
+++ b/config/hypr/scripts/Sounds.sh
@@ -0,0 +1,70 @@
+#!/bin/bash
+# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ ##
+# This script is used to play system sounds.
+# Script is used by Volume.Sh and ScreenShots.sh
+
+theme="freedesktop" # Set the theme for the system sounds.
+mute=false # Set to true to mute the system sounds.
+
+# Mute individual sounds here.
+muteScreenshots=false
+muteVolume=false
+
+# Exit if the system sounds are muted.
+if [[ "$mute" = true ]]; then
+ exit 0
+fi
+
+# Choose the sound to play.
+if [[ "$1" == "--screenshot" ]]; then
+ if [[ "$muteScreenshots" = true ]]; then
+ exit 0
+ fi
+ soundoption="screen-capture.*"
+elif [[ "$1" == "--volume" ]]; then
+ if [[ "$muteVolume" = true ]]; then
+ exit 0
+ fi
+ soundoption="audio-volume-change.*"
+else
+ echo -e "Available sounds: --screenshot, --volume"
+ exit 0
+fi
+
+# Set the directory defaults for system sounds.
+if [ -d "/run/current-system/sw/share/sounds" ]; then
+ systemDIR="/run/current-system/sw/share/sounds" # NixOS
+else
+ systemDIR="/usr/share/sounds"
+fi
+userDIR="$HOME/.local/share/sounds"
+defaultTheme="freedesktop"
+
+# Prefer the user's theme, but use the system's if it doesn't exist.
+sDIR="$systemDIR/$defaultTheme"
+if [ -d "$userDIR/$theme" ]; then
+ sDIR="$userDIR/$theme"
+elif [ -d "$systemDIR/$theme" ]; then
+ sDIR="$systemDIR/$theme"
+fi
+
+# Get the theme that it inherits.
+iTheme=$(cat "$sDIR/index.theme" | grep -i "inherits" | cut -d "=" -f 2)
+iDIR="$sDIR/../$iTheme"
+
+# Find the sound file and play it.
+sound_file=$(find $sDIR/stereo -name "$soundoption" -print -quit)
+if ! test -f "$sound_file"; then
+ sound_file=$(find $iDIR/stereo -name "$soundoption" -print -quit)
+ if ! test -f "$sound_file"; then
+ sound_file=$(find $userDIR/$defaultTheme/stereo -name "$soundoption" -print -quit)
+ if ! test -f "$sound_file"; then
+ sound_file=$(find $systemDIR/$defaultTheme/stereo -name "$soundoption" -print -quit)
+ if ! test -f "$sound_file"; then
+ echo "Error: Sound file not found."
+ exit 1
+ fi
+ fi
+ fi
+fi
+pw-play "$sound_file" \ No newline at end of file
diff --git a/config/hypr/scripts/Volume.sh b/config/hypr/scripts/Volume.sh
index d2fef87e..19868caf 100755
--- a/config/hypr/scripts/Volume.sh
+++ b/config/hypr/scripts/Volume.sh
@@ -3,7 +3,7 @@
# Scripts for volume controls for audio and mic
iDIR="$HOME/.config/swaync/icons"
-sDIR="$HOME/.config/hypr/UserScripts"
+sDIR="$HOME/.config/hypr/scripts"
# Get Volume
get_volume() {
diff --git a/config/hypr/scripts/WaybarLayout.sh b/config/hypr/scripts/WaybarLayout.sh
index a70953bb..03029889 100755
--- a/config/hypr/scripts/WaybarLayout.sh
+++ b/config/hypr/scripts/WaybarLayout.sh
@@ -38,7 +38,7 @@ restart_waybar_if_needed() {
# Main function
main() {
- choice=$(menu | rofi -dmenu -config "$rofi_config")
+ choice=$(menu | rofi -i -dmenu -config "$rofi_config")
if [[ -z "$choice" ]]; then
echo "No option selected. Exiting."
diff --git a/config/hypr/scripts/WaybarStyles.sh b/config/hypr/scripts/WaybarStyles.sh
index 4cd484b0..2e994780 100755
--- a/config/hypr/scripts/WaybarStyles.sh
+++ b/config/hypr/scripts/WaybarStyles.sh
@@ -40,7 +40,7 @@ restart_waybar_if_needed() {
# Main function
main() {
- choice=$(menu | rofi -dmenu -config "$rofi_config")
+ choice=$(menu | rofi -i -dmenu -config "$rofi_config")
if [[ -z "$choice" ]]; then
echo "No option selected. Exiting."
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage